@echo off

set PROGRAM_FILES_PATH=%ProgramFiles(x86)%
set EXE_FOLDER_PATH=%PROGRAM_FILES_PATH%\SoundEngine Free\
set EXE_FILE_NAME=SoundEngine.exe

if not exist %temp%\SoundEngine MKDIR %temp%\SoundEngine
if not exist %temp%\SoundEngine\Scv MKDIR %temp%\SoundEngine\Scv

set DECODE_FILE_PATH=%temp%\SoundEngine\Scv\%~n1.wav
set EXTENSION=%~x1

if %EXTENSION% == .wav goto sox
if %EXTENSION% == .aiff goto sox
if %EXTENSION% == .aif goto sox
if %EXTENSION% == .flac goto flac

:sox
"%PROGRAM_FILES_PATH%\sox-14-4-0\sox.exe" "%~1" -s "%DECODE_FILE_PATH%"
start /d "%EXE_FOLDER_PATH%" %EXE_FILE_NAME% "%DECODE_FILE_PATH%"
exit

:flac
"%PROGRAM_FILES_PATH%\FLAC\flac.exe" -d "%~1" -o "%DECODE_FILE_PATH%"
start /d "%EXE_FOLDER_PATH%" %EXE_FILE_NAME% "%DECODE_FILE_PATH%"
exit